Create user (sign up)
PUT
/api/v1/user
const url = 'https://example.com/api/v1/user';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"username":"example","email":"hello@example.com","password":"example","passwordConfirm":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/user \ --header 'Content-Type: application/json' \ --data '{ "username": "example", "email": "hello@example.com", "password": "example", "passwordConfirm": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
username
required
Username (3+ chars, starts with word char)
string
email
required
User email address
string format: email
password
required
Password (8-72 chars)
string
passwordConfirm
Password confirmation (must match password)
string
Example generated
{ "username": "example", "email": "hello@example.com", "password": "example", "passwordConfirm": "example"}Responses
Section titled “ Responses ”User created
Media type application/json
object
id
required
User ID (15 chars)
string
username
required
Username (3+ chars, alphanumeric with dots)
string
email
required
User email address
string format: email
avatar
Avatar file path
string
verified
Email verification status
boolean
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "username": "example", "email": "hello@example.com", "avatar": "example", "verified": true, "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Bad Request - Signup disabled or invalid data
Internal Server Error